Bug 72008 - [PATCH] cad/ngspice_rework: make this port portlint clean
Summary: [PATCH] cad/ngspice_rework: make this port portlint clean
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Yen-Ming Lee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-09-22 20:10 UTC by Yen-Ming Lee
Modified: 2004-10-13 02:31 UTC (History)
1 user (show)

See Also:


Attachments
ngspice_rework-14.patch (5.78 KB, patch)
2004-09-22 20:10 UTC, Yen-Ming Lee
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yen-Ming Lee freebsd_committer 2004-09-22 20:10:11 UTC
- utilize INFO
- add +USE_LIBTOOL_VER?=15 to eliminate *.la files
- make this port portlint clean

Port maintainer (amakawa@jp.FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.63
Comment 1 Yen-Ming Lee freebsd_committer 2004-09-23 15:08:33 UTC
State Changed
From-To: open->feedback

The maintainer is Cc-ed.
Comment 2 Yen-Ming Lee freebsd_committer 2004-09-23 15:08:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->leeym

I will take care of this PR.
Comment 3 Ceri Davies freebsd_committer 2004-09-25 18:05:20 UTC
Ading to audit trail, from misfiled PR ports/72077:

Date: Sat, 25 Sep 2004 14:22:53 +0100
From: AMAKAWA Shuhei <sa264@cam.ac.uk>
To: Yen-Ming Lee <leeym@freebsd.org>
Message-Id: <E1CBCVt-0002QB-H4@ppsw-3.csi.cam.ac.uk>
References: <20040922190559.292653E9D25@utopia.leeym.com>

 Hi.
 Can you try the following on your 5.3 machine with gcc 3.4?
 It updates the port to ng-spice-rework-15.
 Your fixes are incorporated.
 
 Thank you.
 Shuhei
 
 
 Removed files:
 files/patch-aspice.c
 files/patch-configure.in
 files/patch-src:frontend:plotting:pvec.c
 
 
 diff -uNr /usr/ports/cad/ngspice_rework/Makefile ngspice_rework/Makefile
 --- /usr/ports/cad/ngspice_rework/Makefile	Mon Feb 24 19:04:26 2003
 +++ ngspice_rework/Makefile	Fri Sep 24 18:05:17 2004
 @@ -6,20 +6,22 @@
  #
  
  PORTNAME=	ngspice_rework
 -PORTVERSION=	14
 +PORTVERSION=	15
  CATEGORIES=	cad
  MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
  MASTER_SITE_SUBDIR=	ngspice
 -DISTNAME=	ng-spice-rework-${PORTVERSION}
 +DISTNAME=	ngspice-rework${PORTVERSION}
 +EXTRACT_SUFX=	.tgz
  
  MAINTAINER=	amakawa@jp.FreeBSD.org
  COMMENT=	A circuit simulator derived from spice3f5
  
 -USE_AUTOCONF_VER?=	213
 +WRKSRC=		${WRKDIR}/ng-spice-rework-${PORTVERSION}
 +GNU_CONFIGURE=		yes
 +USE_LIBTOOL_VER?=	15
 +USE_GMAKE=		yes
  
 +INFO=		ngspice
  MAN1=		ngspice.1 ngnutmeg.1 ngsconvert.1
 -
 -pre-configure:
 -		(cd ${WRKSRC} && ${AUTOHEADER})
  
  .include <bsd.port.mk>
 diff -uNr /usr/ports/cad/ngspice_rework/distinfo ngspice_rework/distinfo
 --- /usr/ports/cad/ngspice_rework/distinfo	Sat Apr 17 00:12:12 2004
 +++ ngspice_rework/distinfo	Thu Sep 23 02:39:08 2004
 @@ -1,2 +1,2 @@
 -MD5 (ng-spice-rework-14.tar.gz) = 5405d78a531fe9f30d70c35a8a469690
 -SIZE (ng-spice-rework-14.tar.gz) = 2762582
 +MD5 (ngspice-rework15.tgz) = 5a55ff2062fd3bebaed77ebb454d7882
 +SIZE (ngspice-rework15.tgz) = 4813438
 diff -uNr /usr/ports/cad/ngspice_rework/files/patch-aspice.c ngspice_rework/files/patch-aspice.c
 --- /usr/ports/cad/ngspice_rework/files/patch-aspice.c	Sun Jun 16 10:18:43 2002
 +++ ngspice_rework/files/patch-aspice.c	Thu Jan  1 01:00:00 1970
 @@ -1,11 +0,0 @@
 ---- src/frontend/aspice.c	Tue Jun  4 21:18:04 2002
 -+++ src/frontend/aspice.c	Tue Jun  4 21:17:32 2002
 -@@ -178,6 +178,8 @@
 - 
 - #if defined(__NetBSD__)
 -     pid_t status;
 -+#elif defined(__FreeBSD__)
 -+    int status;
 - #else
 -     union wait status;
 - #endif
 diff -uNr /usr/ports/cad/ngspice_rework/files/patch-configure.in ngspice_rework/files/patch-configure.in
 --- /usr/ports/cad/ngspice_rework/files/patch-configure.in	Sat Feb  9 10:03:42 2002
 +++ ngspice_rework/files/patch-configure.in	Thu Jan  1 01:00:00 1970
 @@ -1,11 +0,0 @@
 ---- configure.in.orig	Mon Dec 10 20:21:11 2001
 -+++ configure.in	Wed Jan  2 13:36:55 2002
 -@@ -155,7 +155,7 @@
 - 
 - dnl Look for termios first (posix)
 - AC_CHECK_HEADERS(termios.h termio.h sgtty.h , break)
 --AC_CHECK_FUNCS(isatty)
 -+AC_CHECK_FUNCS(isatty tcgetattr tcsetattr)
 - 
 - dnl Check for a few functions:
 - AC_FUNC_VFORK
 diff -uNr /usr/ports/cad/ngspice_rework/files/patch-doc:Makefile.in ngspice_rework/files/patch-doc:Makefile.in
 --- /usr/ports/cad/ngspice_rework/files/patch-doc:Makefile.in	Sat Feb  9 10:03:42 2002
 +++ ngspice_rework/files/patch-doc:Makefile.in	Thu Sep 23 03:20:14 2004
 @@ -1,11 +1,11 @@
 ---- doc/Makefile.in.orig	Mon Dec 10 20:26:23 2001
 -+++ doc/Makefile.in	Mon Jan  7 16:54:16 2002
 -@@ -69,7 +69,7 @@
 - LIBTOOL = @LIBTOOL@
 +--- doc/Makefile.in.orig	Wed Jan 28 00:25:46 2004
 ++++ doc/Makefile.in	Thu Sep 23 03:19:35 2004
 +@@ -85,7 +85,7 @@
   LN_S = @LN_S@
 + LTLIB = @LTLIB@
   MAINT = @MAINT@
  -MAKEINFO = @MAKEINFO@
  +MAKEINFO = @MAKEINFO@ --no-split
 - OBJDUMP = @OBJDUMP@
 - OBJEXT = @OBJEXT@
 - PACKAGE = @PACKAGE@
 + NUMDEV = @NUMDEV@
 + NUMDEVDIR = @NUMDEVDIR@
 + NUMPARAMDIR = @NUMPARAMDIR@
 diff -uNr /usr/ports/cad/ngspice_rework/files/patch-src:frontend:aspice.c ngspice_rework/files/patch-src:frontend:aspice.c
 --- /usr/ports/cad/ngspice_rework/files/patch-src:frontend:aspice.c	Thu Jan  1 01:00:00 1970
 +++ ngspice_rework/files/patch-src:frontend:aspice.c	Thu Sep 23 03:09:50 2004
 @@ -0,0 +1,11 @@
 +--- src/frontend/aspice.c.orig	Thu Sep 23 03:09:22 2004
 ++++ src/frontend/aspice.c	Thu Sep 23 03:08:13 2004
 +@@ -178,6 +178,8 @@
 + 
 + #if defined(__NetBSD__) || defined(SOLARIS)
 +     pid_t status;
 ++#elif defined(__FreeBSD__)
 ++    int status;
 + #else
 +     union wait status;
 + #endif
 diff -uNr /usr/ports/cad/ngspice_rework/files/patch-src:frontend:control.c ngspice_rework/files/patch-src:frontend:control.c
 --- /usr/ports/cad/ngspice_rework/files/patch-src:frontend:control.c	Thu Jan  1 01:00:00 1970
 +++ ngspice_rework/files/patch-src:frontend:control.c	Fri Sep 24 13:02:39 2004
 @@ -0,0 +1,10 @@
 +--- src/frontend/control.c.orig	Thu Dec 25 17:30:51 2003
 ++++ src/frontend/control.c	Fri Sep 24 13:02:13 2004
 +@@ -822,6 +822,7 @@
 + void
 + cp_resetcontrol(void)
 + {
 ++    void cp_free_control(void);
 +     fprintf(cp_err, "Warning: clearing control structures\n");
 +     if (cend[stackp] && cend[stackp]->co_parent)
 +         fprintf(cp_err, "Warning: EOF before block terminated\n");
 diff -uNr /usr/ports/cad/ngspice_rework/files/patch-src:frontend:parser:complete.c ngspice_rework/files/patch-src:frontend:parser:complete.c
 --- /usr/ports/cad/ngspice_rework/files/patch-src:frontend:parser:complete.c	Sat Feb  9 10:03:42 2002
 +++ ngspice_rework/files/patch-src:frontend:parser:complete.c	Thu Jan  1 01:00:00 1970
 @@ -1,48 +0,0 @@
 ---- src/frontend/parser/complete.c.orig	Mon Dec 10 20:21:11 2001
 -+++ src/frontend/parser/complete.c	Wed Jan  2 13:57:11 2002
 -@@ -410,11 +410,6 @@
 - #  else
 - #    ifdef HAVE_TERMIOS_H
 - 
 --#      ifdef __NetBSD__
 --#        define TCGETS
 --#        define TCSETS
 --#      endif
 --
 - #      define TERM_GET TCGETS
 - #      define TERM_SET TCSETS
 -     static struct termios sbuf;
 -@@ -423,7 +418,7 @@
 - #    endif
 - #  endif
 - 
 --#  if defined(TERM_GET) || defined(__NetBSD__)
 -+#  ifdef TERM_GET
 -     static bool ison = FALSE;
 - 
 -     if (cp_nocc || !cp_interactive || (ison == on))
 -@@ -431,7 +426,7 @@
 -     ison = on;
 - 
 -     if (ison == TRUE) {
 --#ifdef __NetBSD__
 -+#if HAVE_TCGETATTR
 - 	tcgetattr(fileno(cp_in),&OS_Buf);
 - #else
 - 	(void) ioctl(fileno(cp_in), TERM_GET, (char *) &OS_Buf);
 -@@ -440,13 +435,13 @@
 - 	sbuf.c_cc[VEOF] = 0;
 - 	sbuf.c_cc[VEOL] = ESCAPE;
 - 	sbuf.c_cc[VEOL2] = CNTRL_D;
 --#ifdef __NetBSD__
 -+#if HAVE_TCSETATTR
 - 	tcsetattr(fileno(cp_in),TCSANOW,&sbuf);
 - #else
 - 	(void) ioctl(fileno(cp_in), TERM_SET, (char *) &sbuf);
 - #endif
 -     } else {
 --#ifdef __NetBSD__
 -+#if HAVE_TCSETATTR
 - 	tcsetattr(fileno(cp_in),TCSANOW,&OS_Buf);
 - #else
 - 	(void) ioctl(fileno(cp_in), TERM_SET, (char *) &OS_Buf);
 diff -uNr /usr/ports/cad/ngspice_rework/files/patch-src:frontend:plotting:pvec.c ngspice_rework/files/patch-src:frontend:plotting:pvec.c
 --- /usr/ports/cad/ngspice_rework/files/patch-src:frontend:plotting:pvec.c	Sat Sep 18 09:14:56 2004
 +++ ngspice_rework/files/patch-src:frontend:plotting:pvec.c	Thu Jan  1 01:00:00 1970
 @@ -1,20 +0,0 @@
 ---- src/frontend/plotting/pvec.c.orig	Fri Sep 17 17:30:10 2004
 -+++ src/frontend/plotting/pvec.c	Fri Sep 17 17:30:33 2004
 -@@ -47,8 +47,6 @@
 -     case GRID_SMITHGRID:
 -         strcat(buf, ", grid = smithgrid (not xformed)");
 -         break;
 --
 --    default:
 -     }
 - 
 -     switch (d->v_plottype) {
 -@@ -60,8 +58,6 @@
 -     case PLOT_POINT:
 -         strcat(buf, ", plot = point");
 -         break;
 --
 --    default:
 -     }
 -     if (d->v_defcolor) {
 -         sprintf(buf2, ", color = %s", d->v_defcolor);
 diff -uNr /usr/ports/cad/ngspice_rework/files/patch-src:spicelib:analysis:cktncdump.c ngspice_rework/files/patch-src:spicelib:analysis:cktncdump.c
 --- /usr/ports/cad/ngspice_rework/files/patch-src:spicelib:analysis:cktncdump.c	Thu Jan  1 01:00:00 1970
 +++ ngspice_rework/files/patch-src:spicelib:analysis:cktncdump.c	Thu Sep 23 04:35:59 2004
 @@ -0,0 +1,88 @@
 +--- src/spicelib/analysis/cktncdump.c.orig	Sun Jan 11 18:38:20 2004
 ++++ src/spicelib/analysis/cktncdump.c	Thu Sep 23 04:34:44 2004
 +@@ -1,42 +1,43 @@
 +-/**********
 +-Copyright 1999 AG inc.  All rights reserved.
 +-Author: 1999 Alan Gillespie
 +-**********/
 +-
 +-#include "ngspice.h"
 +-#include "cktdefs.h"
 #include "suffix.h"
 +-
 +-void
 +-CKTncDump(ckt) 
 +-    CKTcircuit *ckt;
 +-{
 +-  CKTnode *node;
 +-  double new, old, tol;
 +-  int i=1;
 +-
 +-  fprintf(stdout,"\n");
 +-  fprintf(stdout,"Last Node Voltages\n");
 +-  fprintf(stdout,"------------------\n\n");
 +-  fprintf(stdout,"%-30s %20s %20s\n", "Node", "Last Voltage", "Previous Iter");
 +-  fprintf(stdout,"%-30s %20s %20s\n", "----", "------------", "-------------");
 +-  for(node=ckt->CKTnodes->next;node;node=node->next) {
 +-    if (strstr(node->name, "#branch") || !strstr(node->name, "#")) {
 +-      new =  *((ckt->CKTrhsOld) + i ) ;
 +-      old =  *((ckt->CKTrhs) + i ) ;
 +-      fprintf(stdout,"%-30s %20g %20g", node->name, new, old);
 +-      if(node->type == 3) {
 +-          tol =  ckt->CKTreltol * (MAX(fabs(old),fabs(new))) +
 +-                  ckt->CKTvoltTol;
 +-      } else {
 +-          tol =  ckt->CKTreltol * (MAX(fabs(old),fabs(new))) +
 +-                  ckt->CKTabstol;
 +-      }
 +-      if (fabs(new-old) >tol ) {
 +-           fprintf(stdout," *");
 +-      }
 +-      fprintf(stdout,"\n");
 +-    };
 +-    i++;
 +-  };
 +-  fprintf(stdout,"\n");
 +-}
 ++/**********
 ++Copyright 1999 AG inc.  All rights reserved.
 ++Author: 1999 Alan Gillespie
 ++**********/
 ++
 ++#include "ngspice.h"
 ++#include "cktdefs.h"
 ++#include "suffix.h"
 ++
 ++void
 ++CKTncDump(ckt) 
 ++    CKTcircuit *ckt;
 ++{
 ++  CKTnode *node;
 ++  double new, old, tol;
 ++  int i=1;
 ++
 ++  fprintf(stdout,"\n");
 ++  fprintf(stdout,"Last Node Voltages\n");
 ++  fprintf(stdout,"------------------\n\n");
 ++  fprintf(stdout,"%-30s %20s %20s\n", "Node", "Last Voltage", "Previous Iter");
 ++  fprintf(stdout,"%-30s %20s %20s\n", "----", "------------", "-------------");
 ++  for(node=ckt->CKTnodes->next;node;node=node->next) {
 ++    if (strstr(node->name, "#branch") || !strstr(node->name, "#")) {
 ++      new =  *((ckt->CKTrhsOld) + i ) ;
 ++      old =  *((ckt->CKTrhs) + i ) ;
 ++      fprintf(stdout,"%-30s %20g %20g", node->name, new, old);
 ++      if(node->type == 3) {
 ++          tol =  ckt->CKTreltol * (MAX(fabs(old),fabs(new))) +
 ++                  ckt->CKTvoltTol;
 ++      } else {
 ++          tol =  ckt->CKTreltol * (MAX(fabs(old),fabs(new))) +
 ++                  ckt->CKTabstol;
 ++      }
 ++      if (fabs(new-old) >tol ) {
 ++           fprintf(stdout," *");
 ++      }
 ++      fprintf(stdout,"\n");
 ++    };
 ++    i++;
 ++  };
 ++  fprintf(stdout,"\n");
 ++}
 diff -uNr /usr/ports/cad/ngspice_rework/pkg-plist ngspice_rework/pkg-plist
 --- /usr/ports/cad/ngspice_rework/pkg-plist	Sat Feb  9 10:03:40 2002
 +++ ngspice_rework/pkg-plist	Thu Sep 23 14:44:52 2004
 @@ -5,162 +5,6 @@
  bin/ngproc2mod
  bin/ngsconvert
  bin/ngspice
 -@unexec install-info --delete %D/info/ngspice.info %D/info/dir
 -info/ngspice.info
 -lib/libdev.a
 -lib/ng-spice-rework/libasrc.a
 -lib/ng-spice-rework/libasrc.la
 -lib/ng-spice-rework/libasrc.so
 -lib/ng-spice-rework/libasrc.so.0
 -lib/ng-spice-rework/libbjt.a
 -lib/ng-spice-rework/libbjt.la
 -lib/ng-spice-rework/libbjt.so
 -lib/ng-spice-rework/libbjt.so.0
 -lib/ng-spice-rework/libbsim1.a
 -lib/ng-spice-rework/libbsim1.la
 -lib/ng-spice-rework/libbsim1.so
 -lib/ng-spice-rework/libbsim1.so.0
 -lib/ng-spice-rework/libbsim2.a
 -lib/ng-spice-rework/libbsim2.la
 -lib/ng-spice-rework/libbsim2.so
 -lib/ng-spice-rework/libbsim2.so.0
 -lib/ng-spice-rework/libbsim3.a
 -lib/ng-spice-rework/libbsim3.la
 -lib/ng-spice-rework/libbsim3.so
 -lib/ng-spice-rework/libbsim3.so.0
 -lib/ng-spice-rework/libbsim3soidd.a
 -lib/ng-spice-rework/libbsim3soidd.la
 -lib/ng-spice-rework/libbsim3soidd.so
 -lib/ng-spice-rework/libbsim3soidd.so.0
 -lib/ng-spice-rework/libbsim3soifd.a
 -lib/ng-spice-rework/libbsim3soifd.la
 -lib/ng-spice-rework/libbsim3soifd.so
 -lib/ng-spice-rework/libbsim3soifd.so.0
 -lib/ng-spice-rework/libbsim3soipd.a
 -lib/ng-spice-rework/libbsim3soipd.la
 -lib/ng-spice-rework/libbsim3soipd.so
 -lib/ng-spice-rework/libbsim3soipd.so.0
 -lib/ng-spice-rework/libbsim3v1.a
 -lib/ng-spice-rework/libbsim3v1.la
 -lib/ng-spice-rework/libbsim3v1.so
 -lib/ng-spice-rework/libbsim3v1.so.0
 -lib/ng-spice-rework/libbsim3v2.a
 -lib/ng-spice-rework/libbsim3v2.la
 -lib/ng-spice-rework/libbsim3v2.so
 -lib/ng-spice-rework/libbsim3v2.so.0
 -lib/ng-spice-rework/libbsim4.a
 -lib/ng-spice-rework/libbsim4.la
 -lib/ng-spice-rework/libbsim4.so
 -lib/ng-spice-rework/libbsim4.so.0
 -lib/ng-spice-rework/libcap.a
 -lib/ng-spice-rework/libcap.la
 -lib/ng-spice-rework/libcap.so
 -lib/ng-spice-rework/libcap.so.0
 -lib/ng-spice-rework/libcccs.a
 -lib/ng-spice-rework/libcccs.la
 -lib/ng-spice-rework/libcccs.so
 -lib/ng-spice-rework/libcccs.so.0
 -lib/ng-spice-rework/libccvs.a
 -lib/ng-spice-rework/libccvs.la
 -lib/ng-spice-rework/libccvs.so
 -lib/ng-spice-rework/libccvs.so.0
 -lib/ng-spice-rework/libcsw.a
 -lib/ng-spice-rework/libcsw.la
 -lib/ng-spice-rework/libcsw.so
 -lib/ng-spice-rework/libcsw.so.0
 -lib/ng-spice-rework/libdio.a
 -lib/ng-spice-rework/libdio.la
 -lib/ng-spice-rework/libdio.so
 -lib/ng-spice-rework/libdio.so.0
 -lib/ng-spice-rework/libhfet.a
 -lib/ng-spice-rework/libhfet.la
 -lib/ng-spice-rework/libhfet.so
 -lib/ng-spice-rework/libhfet.so.0
 -lib/ng-spice-rework/libhfet2.a
 -lib/ng-spice-rework/libhfet2.la
 -lib/ng-spice-rework/libhfet2.so
 -lib/ng-spice-rework/libhfet2.so.0
 -lib/ng-spice-rework/libind.a
 -lib/ng-spice-rework/libind.la
 -lib/ng-spice-rework/libind.so
 -lib/ng-spice-rework/libind.so.0
 -lib/ng-spice-rework/libisrc.a
 -lib/ng-spice-rework/libisrc.la
 -lib/ng-spice-rework/libisrc.so
 -lib/ng-spice-rework/libisrc.so.0
 -lib/ng-spice-rework/libjfet.a
 -lib/ng-spice-rework/libjfet.la
 -lib/ng-spice-rework/libjfet.so
 -lib/ng-spice-rework/libjfet.so.0
 -lib/ng-spice-rework/libjfet2.a
 -lib/ng-spice-rework/libjfet2.la
 -lib/ng-spice-rework/libjfet2.so
 -lib/ng-spice-rework/libjfet2.so.0
 -lib/ng-spice-rework/libltra.a
 -lib/ng-spice-rework/libltra.la
 -lib/ng-spice-rework/libltra.so
 -lib/ng-spice-rework/libltra.so.0
 -lib/ng-spice-rework/libmes.a
 -lib/ng-spice-rework/libmes.la
 -lib/ng-spice-rework/libmes.so
 -lib/ng-spice-rework/libmes.so.0
 -lib/ng-spice-rework/libmesa.a
 -lib/ng-spice-rework/libmesa.la
 -lib/ng-spice-rework/libmesa.so
 -lib/ng-spice-rework/libmesa.so.0
 -lib/ng-spice-rework/libmos1.a
 -lib/ng-spice-rework/libmos1.la
 -lib/ng-spice-rework/libmos1.so
 -lib/ng-spice-rework/libmos1.so.0
 -lib/ng-spice-rework/libmos2.a
 -lib/ng-spice-rework/libmos2.la
 -lib/ng-spice-rework/libmos2.so
 -lib/ng-spice-rework/libmos2.so.0
 -lib/ng-spice-rework/libmos3.a
 -lib/ng-spice-rework/libmos3.la
 -lib/ng-spice-rework/libmos3.so
 -lib/ng-spice-rework/libmos3.so.0
 -lib/ng-spice-rework/libmos6.a
 -lib/ng-spice-rework/libmos6.la
 -lib/ng-spice-rework/libmos6.so
 -lib/ng-spice-rework/libmos6.so.0
 -lib/ng-spice-rework/libmos9.a
 -lib/ng-spice-rework/libmos9.la
 -lib/ng-spice-rework/libmos9.so
 -lib/ng-spice-rework/libmos9.so.0
 -lib/ng-spice-rework/libres.a
 -lib/ng-spice-rework/libres.la
 -lib/ng-spice-rework/libres.so
 -lib/ng-spice-rework/libres.so.0
 -lib/ng-spice-rework/libsoi3.a
 -lib/ng-spice-rework/libsoi3.la
 -lib/ng-spice-rework/libsoi3.so
 -lib/ng-spice-rework/libsoi3.so.0
 -lib/ng-spice-rework/libsw.a
 -lib/ng-spice-rework/libsw.la
 -lib/ng-spice-rework/libsw.so
 -lib/ng-spice-rework/libsw.so.0
 -lib/ng-spice-rework/libtra.a
 -lib/ng-spice-rework/libtra.la
 -lib/ng-spice-rework/libtra.so
 -lib/ng-spice-rework/libtra.so.0
 -lib/ng-spice-rework/liburc.a
 -lib/ng-spice-rework/liburc.la
 -lib/ng-spice-rework/liburc.so
 -lib/ng-spice-rework/liburc.so.0
 -lib/ng-spice-rework/libvccs.a
 -lib/ng-spice-rework/libvccs.la
 -lib/ng-spice-rework/libvccs.so
 -lib/ng-spice-rework/libvccs.so.0
 -lib/ng-spice-rework/libvcvs.a
 -lib/ng-spice-rework/libvcvs.la
 -lib/ng-spice-rework/libvcvs.so
 -lib/ng-spice-rework/libvcvs.so.0
 -lib/ng-spice-rework/libvsrc.a
 -lib/ng-spice-rework/libvsrc.la
 -lib/ng-spice-rework/libvsrc.so
 -lib/ng-spice-rework/libvsrc.so.0
 -@dirrm lib/ng-spice-rework
  share/ng-spice-rework/helpdir/ngspice.idx
  share/ng-spice-rework/helpdir/ngspice.txt
  share/ng-spice-rework/scripts/setplot
Comment 4 Yen-Ming Lee freebsd_committer 2004-09-26 14:10:03 UTC
Yes, the new patch compiles smoothly on FreeBSD 5.x with GCC 3.4.2.
I'll commit it after I get the approval from portmgr.

thanks!
-- 
Yen-Ming Lee [utf7:+Z05fZWYO] | KeyID:0x5EB52E51 | Taipei, Taiwan
Comment 5 shuhei 2004-09-26 14:14:49 UTC
Dear Yen-Ming,

At Sun, 26 Sep 2004 21:10:03 +0800,
Yen-Ming Lee wrote:
> 
> Yes, the new patch compiles smoothly on FreeBSD 5.x with GCC 3.4.2.
> I'll commit it after I get the approval from portmgr.

Excellent.
Thank you.

Shuhei
Comment 6 Yen-Ming Lee freebsd_committer 2004-10-13 02:31:33 UTC
State Changed
From-To: feedback->closed

Committed, thanks.